gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gdk.EventTypeGType)) Specifies the type of the event. Do not confuse these events with the signals that GTK+ widgets emit. Although many of these events result in corresponding signals being emitted, the events are often transformed or filtered along the way.
- Field
  2.12.0.0
  Gdk.EventType A mouse button has been pressed.
- Field
  2.12.0.0
  Gdk.EventType A mouse button has been released.
- Field
  2.12.0.0
  Gdk.EventType A message has been received from another application.
- Field
  2.12.0.0
  Gdk.EventType The size, position or stacking order of the window has changed. Note that GTK+ discards these events for Gdk.WindowType.Child windows.
- Field
  2.12.0.0
  Gdk.EventType The window manager has requested that the toplevel window be hidden or destroyed, usually when the user clicks on a special icon in the title bar.
- Field
  2.12.0.0
  Gdk.EventType The window has been destroyed.
- Field
  2.12.0.0
  Gdk.EventType The mouse has entered the window while a drag is in progress.
- Field
  2.12.0.0
  Gdk.EventType The mouse has left the window while a drag is in progress.
- Field
  2.12.0.0
  Gdk.EventType The mouse has moved in the window while a drag is in progress.
- Field
  2.12.0.0
  Gdk.EventType The status of the drag operation initiated by the window has changed.
- Field
  2.12.0.0
  Gdk.EventType The drop operation initiated by the window has completed.
- Field
  2.12.0.0
  Gdk.EventType A drop operation onto the window has started.
- Field
  2.12.0.0
  Gdk.EventType The pointer has entered the window.
- Field
  2.12.0.0
  Gdk.EventType All or part of the window has become visible and needs to be redrawn.
- Field
  2.12.0.0
  Gdk.EventType The keyboard focus has entered or left the window.
- Field
  2.12.0.0
  Gdk.EventType A pointer or keyboard grab was broken.
- Field
  2.12.0.0
  Gdk.EventType A key has been pressed.
- Field
  2.12.0.0
  Gdk.EventType A key has been released.
- Field
  2.12.0.0
  Gdk.EventType The pointer has left the window.
- Field
  2.12.0.0
  Gdk.EventType The window has been mapped.
- Field
  2.12.0.0
  Gdk.EventType The pointer (usually a mouse) has moved.
- Field
  2.12.0.0
  Gdk.EventType Indicates that the source region was completely available when parts of a drawable were copied. This is not very useful.
- Field
  2.12.0.0
  Gdk.EventType A special code to indicate a null event.
- Field
  2.12.0.0
  Gdk.EventType The owner of the selection has changed.
- Field
  2.12.0.0
  Gdk.EventType A property on the window has been changed or deleted.
- Field
  2.12.0.0
  Gdk.EventType An input device has moved into contact with a sensing surface (e.g. a touchscreen or graphics tablet).
- Field
  2.12.0.0
  Gdk.EventType An input device has moved out of contact with a sensing surface.
- Field
  2.12.0.0
  Gdk.EventType The scroll wheel was turned.
- Field
  2.12.0.0
  Gdk.EventType The application has lost ownership of a selection.
- Field
  2.12.0.0
  Gdk.EventType A selection has been received.
- Field
  2.12.0.0
  Gdk.EventType Another application has requested a selection.
- Field
  2.12.0.0
  Gdk.EventType A setting has been modified.
- Field
  2.12.0.0
  Gdk.EventType A mouse button has been clicked 3 times in a short period of time. Note that each click also generates a ButtonPress event.
- Field
  2.12.0.0
  Gdk.EventType A mouse button has been double-clicked (clicked twice within a short period of time). Note that each click also generates a ButtonPress event.
- Field
  2.12.0.0
  Gdk.EventType The window has been unmapped.
- Field
  2.12.0.0
  Gdk.EventType The window visibility status has changed.
- Field
  2.12.0.0
  Gdk.EventType The state of a window has changed. See for the possible window states